# -*- coding: UTF-8 -*-
from django.db import models


class ViewModelBase(models.Model):
    class Meta:
        abstract = True

    vm_updated_time = models.DateTimeField(u'最后更新时间', auto_now=True)

    def assign_object(self, ori_obj):
        raise NotImplementedError
